Bug 1226444

Summary: Cinnamon tap-to-click does not seem to work in F22 on t440s
Product: [Fedora] Fedora Reporter: Bill Gray <bgray>
Component: cinnamonAssignee: leigh scott <leigh123linux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 22CC: bgray, fale, fedora, leigh123linux, miketwebster, satellitgo
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: cinnamon-desktop-2.6.4-6.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-27 12:41:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bill Gray 2015-05-29 19:26:41 UTC
Used fedup to move my Lenovo t440s to Fedora 22 and it was a smooth transition.  However, tap-to-click no long works in Cinnamon.  It worked fine on F21 Cinnamon, and it also works fine with F22 Gnome.

Ideas?

Comment 1 Wolfgang Ulbrich 2015-05-29 19:37:56 UTC
Can you download/install cinnamon-desktop http://koji.fedoraproject.org/koji/buildinfo?buildID=639725 
To see if this fix your issue.

Comment 2 Fedora Update System 2015-05-29 20:01:11 UTC
cjs-2.6.0-1.fc22, muffin-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, nemo-2.6.5-1.fc22, cinnamon-desktop-2.6.3-2.fc22, cinnamon-2.6.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8628/nemo-2.6.5-1.fc22,muffin-2.6.0-1.fc22,cjs-2.6.0-1.fc22,cinnamon-translations-2.6.1-1.fc22,cinnamon-settings-daemon-2.6.1-1.fc22,cinnamon-session-2.6.1-1.fc22,cinnamon-screensaver-2.6.1-1.fc22,cinnamon-menus-2.6.0-1.fc22,cinnamon-desktop-2.6.3-2.fc22,cinnamon-control-center-2.6.0-2.fc22,cinnamon-2.6.4-1.fc22

Comment 3 Fedora Update System 2015-05-29 20:03:43 UTC
muffin-2.6.0-1.fc20, cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, nemo-2.6.5-1.fc20, cinnamon-desktop-2.6.3-2.fc20, cinnamon-2.6.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-8666/nemo-2.6.5-1.fc20,muffin-2.6.0-1.fc20,cjs-2.6.0-1.fc20,cinnamon-translations-2.6.1-1.fc20,cinnamon-settings-daemon-2.6.1-1.fc20,cinnamon-session-2.6.1-1.fc20,cinnamon-screensaver-2.6.1-1.fc20,cinnamon-menus-2.6.0-1.fc20,cinnamon-desktop-2.6.3-2.fc20,cinnamon-control-center-2.6.0-2.fc20,cinnamon-2.6.4-1.fc20

Comment 4 Fedora Update System 2015-05-29 20:04:28 UTC
muffin-2.6.0-1.fc21, cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, cinnamon-desktop-2.6.3-2.fc21, cinnamon-2.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-2.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.4-1.fc21

Comment 5 Bill Gray 2015-05-29 20:15:06 UTC
(In reply to Wolfgang Ulbrich from comment #1)
> Can you download/install cinnamon-desktop
> http://koji.fedoraproject.org/koji/buildinfo?buildID=639725 
> To see if this fix your issue.

Yes, tap-to-click seems to work again with that 2.6 cinnamon-desktop.

However, now I have a new problem: "Cinnamon just crashed. You are currently running in Fallback Mode."  And I can't get to my panel or menus...

Comment 6 Bill Gray 2015-05-29 20:21:29 UTC
I'll just use gnome until I get all the above updates installed....

Comment 7 leigh scott 2015-05-29 23:30:40 UTC
(In reply to Bill Gray from comment #0)
> Used fedup to move my Lenovo t440s to Fedora 22 and it was a smooth
> transition.  However, tap-to-click no long works in Cinnamon.  It worked
> fine on F21 Cinnamon, and it also works fine with F22 Gnome.
> 
> Ideas?

cinnamon uses synaptics only (I doubt it will get libinput support for a couple of years as no other distro seems dumb enough to use it).
gnome uses libinput or synaptics.

libinput xorg.conf file clobbers the synaptics file, solution is to trump it so it's load last.

su
/usr/bin/ln -s /usr/share/X11/xorg.conf.d/50-synaptics.conf /usr/share/X11/xorg.conf.d/99-synaptics-cinnamon.conf


cinnamon-desktop-2.6.3-2 package includes this fix

Comment 8 leigh scott 2015-05-29 23:36:18 UTC
(In reply to Bill Gray from comment #5)

> However, now I have a new problem: "Cinnamon just crashed. You are currently
> running in Fallback Mode."  And I can't get to my panel or menus...


You will need to update all installed cinnamon* nemo* muffin* and cjs* packages as there not compatible with 2.4 or early 2.6 versions.

Comment 9 Fedora Update System 2015-06-01 17:03:23 UTC
Package cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cjs-2.6.0-1.fc21 cinnamon-menus-2.6.0-1.fc21 cinnamon-control-center-2.6.0-2.fc21 cinnamon-translations-2.6.1-1.fc21 cinnamon-settings-daemon-2.6.1-1.fc21 cinnamon-screensaver-2.6.1-1.fc21 nemo-2.6.5-1.fc21 cinnamon-session-2.6.1-1.fc21 muffin-2.6.1-1.fc21 cinnamon-desktop-2.6.4-2.fc21 cinnamon-2.6.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-2.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.4-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-06-05 23:48:18 UTC
cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-05 23:56:12 UTC
cjs-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, cinnamon-desktop-2.6.4-2.fc22, cinnamon-2.6.6-1.fc22, nemo-2.6.5-1.fc22, muffin-2.6.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-06 00:07:57 UTC
cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, nemo-2.6.5-1.fc20, muffin-2.6.1-1.fc20, cinnamon-desktop-2.6.4-2.fc20, cinnamon-2.6.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Bill Gray 2015-06-26 19:19:24 UTC
Tap-to-click seemed to be fixed for a while with previous updates (above), however it now seems broken again with today's dnf update which included cinnamon-desktop 2.6.4-4.fc22

Comment 14 Fedora Update System 2015-06-26 19:40:43 UTC
cinnamon-desktop-2.6.4-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cinnamon-desktop-2.6.4-6.fc22

Comment 15 Fedora Update System 2015-06-26 19:42:04 UTC
cinnamon-desktop-2.6.4-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cinnamon-desktop-2.6.4-6.fc21

Comment 16 leigh scott 2015-06-26 19:47:55 UTC
(In reply to Bill Gray from comment #13)
> Tap-to-click seemed to be fixed for a while with previous updates (above),
> however it now seems broken again with today's dnf update which included
> cinnamon-desktop 2.6.4-4.fc22

cinnamon-desktop 2.6.4-4.fc22 isn't responsible for the break as it was only mimetype fix

http://pkgs.fedoraproject.org/cgit/cinnamon-desktop.git/log/?h=f22

something else changed the behavior of the scriptlets, I had to move it from %post to %posttrans to get it to function again (strange).

http://pkgs.fedoraproject.org/cgit/cinnamon-desktop.git/commit/?h=f22&id=bb6d6df0ea426b1c92223b2f0bebe985175bd8f2

Comment 17 Fedora Update System 2015-06-27 12:41:50 UTC
cinnamon-desktop-2.6.4-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-27 12:42:53 UTC
cinnamon-desktop-2.6.4-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.